# IRremoteESP8266: src/ir_GICable.cpp File Reference

ir_GICable.cpp File Reference

G.I. Cable. More...

## Variables

const uint16_t | kGicableHdrMark = 9000
const uint16_t | kGicableHdrSpace = 4400
const uint16_t | kGicableBitMark = 550
const uint16_t | kGicableOneSpace = 4400
const uint16_t | kGicableZeroSpace = 2200
const uint16_t | kGicableRptSpace = 2200
const uint32_t | kGicableMinCommandLength = 99600
const uint32_t | kGicableMinGap

## Detailed Description

G.I. Cable.

See also
  https://github.com/cyborg5/IRLib2/blob/master/IRLibProtocols/IRLib_P09_GICable.h
  https://github.com/crankyoldgit/IRremoteESP8266/issues/447

## Variable Documentation

## kGicableBitMark

const uint16_t kGicableBitMark = 550

## kGicableHdrMark

const uint16_t kGicableHdrMark = 9000

## kGicableHdrSpace

const uint16_t kGicableHdrSpace = 4400

## kGicableMinCommandLength

const uint32_t kGicableMinCommandLength = 99600

## kGicableMinGap

const uint32_t kGicableMinGap

Initial value:
=
kGicableMinCommandLength -
(kGicableHdrMark + kGicableHdrSpace +
kGicableBits * (kGicableBitMark + kGicableOneSpace) + kGicableBitMark)

## kGicableOneSpace

const uint16_t kGicableOneSpace = 4400

## kGicableRptSpace

const uint16_t kGicableRptSpace = 2200

## kGicableZeroSpace

const uint16_t kGicableZeroSpace = 2200

kGicableHdrSpace
const uint16_t kGicableHdrSpace
Definition: ir_GICable.cpp:20
kGicableBits
const uint16_t kGicableBits
Definition: IRremoteESP8266.h:948
kGicableOneSpace
const uint16_t kGicableOneSpace
Definition: ir_GICable.cpp:22
kGicableMinCommandLength
const uint32_t kGicableMinCommandLength
Definition: ir_GICable.cpp:25
kGicableBitMark
const uint16_t kGicableBitMark
Definition: ir_GICable.cpp:21
kGicableHdrMark
const uint16_t kGicableHdrMark
Definition: ir_GICable.cpp:19